<?php

namespace Wahid\TestGeneral\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class StatusTransformer extends TransformerAbstract
{
    public function transform(\Wahid\TestGeneral\Models\Status $status)
    {
        return [
            'id'                => $status->getRouteKey(),
            'key'               => [
                'public'    => $status->getPublicKey(),
                'route'     => $status->getRouteKey(),
            ], 
            
            'url'               => [
                'public'    => trans_url('test_general/'.$status->getPublicKey()),
                'user'      => guard_url('test_general/status/'.$status->getRouteKey()),
            ], 
            'status'            => trans('app.'.$status->status),
            'created_at'        => format_date($status->created_at),
            'updated_at'        => format_date($status->updated_at),
        ];
    }
}